Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.edit
Class PropertyEditorTree.PropertyNode

    java.lang.Object
      de.grogra.util.Tree.Node
          de.grogra.pf.ui.edit.PropertyEditorTree.Node
              de.grogra.pf.ui.edit.PropertyEditorTree.PropertyNode

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

Enclosing class:
  PropertyEditorTree

    public class PropertyEditorTree.PropertyNode

extends PropertyEditorTree.Node
implements java.beans.PropertyChangeListener

Field Summary

Fields inherited from class de.grogra.util.Tree.Node
`children, next, parent`

Constructor Summary
`PropertyEditorTree.PropertyNode(Property p, Widget w, java.lang.String label)`

Method Summary
`protected ComponentWrapper` | `createComponent()`
`protected java.lang.Object` | `fromWidget(java.lang.Object widgetValue)`
`Property` | `getProperty()`
`protected boolean` | `isEnabled()`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`java.lang.String` | `toString()`
`protected java.lang.Object` | `toWidget(java.lang.Object propertyValue)`
`protected void` | `updateComponent(ComponentWrapper cw)`

Methods inherited from class de.grogra.pf.ui.edit.PropertyEditorTree.Node
`getTreePath, setDecription, setText`

Methods inherited from class de.grogra.util.Tree.Node
`addChild, getChild, getChildCount, getChildren, getLastSibling, getPath, insertChainBefore, insertChild, remove, removeChild, removeLastChild, replace, setChildren, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyEditorTree.PropertyNode

    public PropertyEditorTree.PropertyNode(Property p,
                                           Widget w,
                                           java.lang.String label)

Method Detail

### createComponent

    protected ComponentWrapper createComponent()

  Overrides:
    `createComponent` in class `PropertyEditorTree.Node`

### fromWidget

    protected java.lang.Object fromWidget(java.lang.Object widgetValue)

### getProperty

    public Property getProperty()

### isEnabled

    protected boolean isEnabled()

  Overrides:
    `isEnabled` in class `PropertyEditorTree.Node`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toWidget

    protected java.lang.Object toWidget(java.lang.Object propertyValue)

### updateComponent

    protected void updateComponent(ComponentWrapper cw)

  Overrides:
    `updateComponent` in class `PropertyEditorTree.Node`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD